@import "./mixins";
.page__header {
  background-color: #fff;
  padding-top: 23px;
  @media (min-width: 768px) {
    padding-top: 41px;
  }
  @media (min-width: 1200px) {
    padding-top: 45px;
  }
}

.nav {
  display: flex;
  justify-content: flex-end;
  @media (min-width: 768px) {
    display: flex;
    justify-content: center;
  }
}
.nav__toggle {
  background-color: transparent;
  color: #fff;
  border: none;
  width: 30px;
  height: 30px;
  font-size: 24px;
  background-color: #000;
  &::after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    background: url(../images/menu-icon.png) center center / contain no-repeat;
  }
  @media (min-width: 768px) {
    display: none;
  }
}
.nav__toggle--open {
  position: relative;
  z-index: 2;
  background-color: #000;
  &::after {
    background-image: url(../images/close.png);
  }
}
.nav__content-wrapper {
  display: none;
  @media (min-width: 768px) {
    display: block;
    align-items: center;
  }
}
.nav__content-wrapper--open {
  display: block;
  position: absolute;
  top: 53px;
  right: 28;
  width: 182px;
  height: 208px;
  background-color: #f5f5f5;
}
.menu {
  @extend %list-reset;
  display: flex;
  flex-direction: column;
  align-items: center;
  @media (min-width: 768px) {
    display: block;
    align-items: center;
  }
}
.menu__item {
  margin-bottom: 8px;
  display: inline-block;
  &:hover {
    background-color: #e5e5e5;
  }
  @media (min-width: 768px) {
    margin-left: 34px;
  }
}
.menu__link {
  @include robotoFont;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 11px;
  color: #4e4e4e;
  font-weight: bold;
  line-height: 2.1;
}
.menu__link--active {
  color: #57a4a4;
}
